[Forgot Password]
Login  Register Subscribe

24128

 
 

131615

 
 

112965

 
 

909

 
 

87888

 
 

136

Paid content will be excluded from the download.


Download | Alert*
OVAL

MDVSA-2012:008 -- Mandriva perl

ID: oval:org.secpod.oval:def:302855Date: (C)2012-11-29   (M)2018-08-14
Class: PATCHFamily: unix




Multiple vulnerabilities has been found and corrected in perl: Off-by-one error in the decode_xs function in Unicode/Unicode.xs in the Encode module before 2.44, as used in Perl before 5.15.6, might allow context-dependent attackers to cause a denial of service via a crafted Unicode string, which triggers a heap-based buffer overflow . Eval injection in the Digest module before 1.17 for Perl allows context-dependent attackers to execute arbitrary commands via the new constructor . The updated packages have been patched to correct these issues.

Platform:
Mandriva Linux 2011.0
Mandriva Linux 2010.1
Product:
perl
Reference:
MDVSA-2012:008
CVE-2011-3597
CVE-2011-2939
CVE    2
CVE-2011-3597
CVE-2011-2939

© SecPod Technologies